
import React from 'react';
import Icon from 'react-icon-base';

const SlMagnet = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M960.288 899.824v29.0078c0 17.6797 -14.3203 32 -32 32h-224.624c-17.6797 0 -32 -14.3203 -32 -32v-130.656c0 -0.0478516 0.0322266 -0.0957031 0.0322266 -0.143555v-397.52c0 -96.3203 -54.3359 -174.656 -150.656 -174.656s-168.656 78.3359 -168.656 174.656 v499.312h-0.0957031v29.0078c0 17.6797 -14.3203 32 -32 32h-224.624c-17.6797 0 -32 -14.3203 -32 -32v-130.656c0 -0.65625 0.335938 -1.2002 0.368164 -1.83984v-410.496c0 -248.912 198.784 -450.656 447.664 -450.656c248.88 0 448.656 201.744 448.656 450.656 v513.984zM896.288 896.832v-128.336h-160.256v128.336h160.256zM288.288 896.832v-128.336h-160.256v128.336h160.256zM511.68 -0.832031c-213.216 0 -383.663 173.472 -383.663 386.655v318.672h160.336v-303.984c0 -131.808 100.848 -238.655 232.655 -238.655 s214.672 106.848 214.672 238.655v303.984h160.656v-318.672c0 -213.184 -171.424 -386.655 -384.656 -386.655z"/></g>
    </Icon>
);

export default SlMagnet;
